<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync: Référence de la classe src.usbDisk2.UDisksBackend</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classsrc_1_1usbDisk2_1_1UDisksBackend.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Fonctions membres publiques</a> &#124;
<a href="#pub-attribs">Attributs publics</a> &#124;
<a href="classsrc_1_1usbDisk2_1_1UDisksBackend-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe src.usbDisk2.UDisksBackend</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Graphe d'héritage de src.usbDisk2.UDisksBackend:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbDisk2_1_1UDisksBackend__inherit__graph.png" border="0" usemap="#src_8usbDisk2_8UDisksBackend_inherit__map" alt="Inheritance graph"/></div>
<map name="src_8usbDisk2_8UDisksBackend_inherit__map" id="src_8usbDisk2_8UDisksBackend_inherit__map">
<area shape="rect" title=" " alt="" coords="5,5,200,32"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1Available.html" title="une classe pour représenter la collection des disques USB connectés" alt="" coords="26,80,179,107"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1Available.html" title=" " alt="" coords="9,155,196,181"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Fonctions membres publiques</h2></td></tr>
<tr class="memitem:a62c47b75e84fdc67f8d89aef2589f065"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a62c47b75e84fdc67f8d89aef2589f065">__init__</a> (self, <a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#abe286670c6eb19d2c7dd4be21f59ec9c">logger</a>=logging, <a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a10a0c45f41280268bfb07b86005617ca">diskClass</a>=object)</td></tr>
<tr class="memdesc:a62c47b75e84fdc67f8d89aef2589f065"><td class="mdescLeft">&#160;</td><td class="mdescRight">Le constructeur.  <a href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a62c47b75e84fdc67f8d89aef2589f065">Plus de détails...</a><br /></td></tr>
<tr class="separator:a62c47b75e84fdc67f8d89aef2589f065"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0f2a8758b367e492a6dd45a5b2d76b1"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#aa0f2a8758b367e492a6dd45a5b2d76b1">addHook</a> (self, signal, func)</td></tr>
<tr class="separator:aa0f2a8758b367e492a6dd45a5b2d76b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88bae64fec3b1bded9d6c30e5f9d8cdd"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a88bae64fec3b1bded9d6c30e5f9d8cdd">retry_mount</a> (self, fs, timeout=5, retryDelay=0.3)</td></tr>
<tr class="separator:a88bae64fec3b1bded9d6c30e5f9d8cdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a256f370a58ed5033b6a0822193195f4a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a256f370a58ed5033b6a0822193195f4a">detect_devices</a> (self)</td></tr>
<tr class="memdesc:a256f370a58ed5033b6a0822193195f4a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fait un inventaire des disques.  <a href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a256f370a58ed5033b6a0822193195f4a">Plus de détails...</a><br /></td></tr>
<tr class="separator:a256f370a58ed5033b6a0822193195f4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedd2fa479eee462059ad71ebbacfd62d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#aedd2fa479eee462059ad71ebbacfd62d">objIsUsb</a> (self, obj)</td></tr>
<tr class="memdesc:aedd2fa479eee462059ad71ebbacfd62d"><td class="mdescLeft">&#160;</td><td class="mdescRight">détermine si un périphérique est de type USB  <a href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#aedd2fa479eee462059ad71ebbacfd62d">Plus de détails...</a><br /></td></tr>
<tr class="separator:aedd2fa479eee462059ad71ebbacfd62d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Attributs publics</h2></td></tr>
<tr class="memitem:a14cb1c0251d039fad1d6e7b581f67274"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a14cb1c0251d039fad1d6e7b581f67274">install_thread</a></td></tr>
<tr class="separator:a14cb1c0251d039fad1d6e7b581f67274"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe286670c6eb19d2c7dd4be21f59ec9c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#abe286670c6eb19d2c7dd4be21f59ec9c">logger</a></td></tr>
<tr class="separator:abe286670c6eb19d2c7dd4be21f59ec9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10a0c45f41280268bfb07b86005617ca"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a10a0c45f41280268bfb07b86005617ca">diskClass</a></td></tr>
<tr class="memdesc:a10a0c45f41280268bfb07b86005617ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">self.targets est un dictionnaire des disques détectés les clés sont les paths et les contenus des instances de diskClass  <a href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a10a0c45f41280268bfb07b86005617ca">Plus de détails...</a><br /></td></tr>
<tr class="separator:a10a0c45f41280268bfb07b86005617ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3fbecb7bcc1d55c1c2046ffd53d47411"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a3fbecb7bcc1d55c1c2046ffd53d47411">targets</a></td></tr>
<tr class="separator:a3fbecb7bcc1d55c1c2046ffd53d47411"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1639654ad7f2c983d019425be09a093a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a1639654ad7f2c983d019425be09a093a">modified</a></td></tr>
<tr class="memdesc:a1639654ad7f2c983d019425be09a093a"><td class="mdescLeft">&#160;</td><td class="mdescRight">self.modified signifie une modification récente, à prendre en compte par une application au niveau utilisateur  <a href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a1639654ad7f2c983d019425be09a093a">Plus de détails...</a><br /></td></tr>
<tr class="separator:a1639654ad7f2c983d019425be09a093a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2216db504e9ef0fb0bd6fded1a90a897"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a2216db504e9ef0fb0bd6fded1a90a897">bus</a></td></tr>
<tr class="separator:a2216db504e9ef0fb0bd6fded1a90a897"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc6ccd9b12a51dccc1fbbb7e7468d39f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#abc6ccd9b12a51dccc1fbbb7e7468d39f">udisks</a></td></tr>
<tr class="separator:abc6ccd9b12a51dccc1fbbb7e7468d39f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ccdea24c9c226d0479e8c8b7bef84a1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a3ccdea24c9c226d0479e8c8b7bef84a1">manager</a></td></tr>
<tr class="separator:a3ccdea24c9c226d0479e8c8b7bef84a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a931d5db608afa59df65219803f51d013"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a931d5db608afa59df65219803f51d013">cbHooks</a></td></tr>
<tr class="separator:a931d5db608afa59df65219803f51d013"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock">
<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00108">108</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>
</div><h2 class="groupheader">Documentation des constructeurs et destructeur</h2>
<a id="a62c47b75e84fdc67f8d89aef2589f065"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62c47b75e84fdc67f8d89aef2589f065">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbDisk2.UDisksBackend.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>logger</em> = <code>logging</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>diskClass</em> = <code>object</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Le constructeur. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">logger</td><td>un objet permettant de journaliser les messages ; par défaut il se confond avec le module logging </td></tr>
    <tr><td class="paramname">diskClass</td><td>la classe à utiliser pour créer des instances de disques </td></tr>
  </table>
  </dd>
</dl>

<p>Réimplémentée dans <a class="el" href="classsrc_1_1usbDisk2_1_1Available.html#a00e30f2fb43e63f05018772b64d092c9">src.usbDisk2.Available</a>.</p>

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00115">115</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Documentation des fonctions membres</h2>
<a id="aa0f2a8758b367e492a6dd45a5b2d76b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0f2a8758b367e492a6dd45a5b2d76b1">&#9670;&nbsp;</a></span>addHook()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbDisk2.UDisksBackend.addHook </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>signal</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00172">172</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<a id="a256f370a58ed5033b6a0822193195f4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a256f370a58ed5033b6a0822193195f4a">&#9670;&nbsp;</a></span>detect_devices()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbDisk2.UDisksBackend.detect_devices </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Fait un inventaire des disques. </p>

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00207">207</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbDisk2_1_1UDisksBackend_a256f370a58ed5033b6a0822193195f4a_cgraph.png" border="0" usemap="#classsrc_1_1usbDisk2_1_1UDisksBackend_a256f370a58ed5033b6a0822193195f4a_cgraph" alt=""/></div>
<map name="classsrc_1_1usbDisk2_1_1UDisksBackend_a256f370a58ed5033b6a0822193195f4a_cgraph" id="classsrc_1_1usbDisk2_1_1UDisksBackend_a256f370a58ed5033b6a0822193195f4a_cgraph">
<area shape="rect" title="Fait un inventaire des disques." alt="" coords="5,136,239,177"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#ad5cf5f90e390fdbb99c0e20dc7aa3a44" title="trouve si un objet est intéressant à cataloguer" alt="" coords="287,5,484,47"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#aafdcebb73d70bdc7845b83acc9ee0f30" title=" " alt="" coords="287,71,484,112"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a591a9f7d650883ed143a7948d46bd27e" title="Fonction de rappel pour les ajouts de disque." alt="" coords="287,136,484,177"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#ad132c7d97fb08b70e28369c9ffb6db39" title=" " alt="" coords="287,201,484,243"/>
<area shape="rect" href="namespacesrc_1_1usbDisk2.html#a1cc978f0b36fc7a494c61860e5cd2a3a" title="Récupère de façon sûre le path d&#39;une instance de UDisksObjectProxy." alt="" coords="309,267,461,294"/>
</map>
</div>

</div>
</div>
<a id="aedd2fa479eee462059ad71ebbacfd62d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aedd2fa479eee462059ad71ebbacfd62d">&#9670;&nbsp;</a></span>objIsUsb()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbDisk2.UDisksBackend.objIsUsb </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>obj</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>détermine si un périphérique est de type USB </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">obj</td><td>un objet UDisksObjectProxy </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>vrai si c'est un périphérique USB </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00270">270</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbDisk2_1_1UDisksBackend_aedd2fa479eee462059ad71ebbacfd62d_cgraph.png" border="0" usemap="#classsrc_1_1usbDisk2_1_1UDisksBackend_aedd2fa479eee462059ad71ebbacfd62d_cgraph" alt=""/></div>
<map name="classsrc_1_1usbDisk2_1_1UDisksBackend_aedd2fa479eee462059ad71ebbacfd62d_cgraph" id="classsrc_1_1usbDisk2_1_1UDisksBackend_aedd2fa479eee462059ad71ebbacfd62d_cgraph">
<area shape="rect" title="détermine si un périphérique est de type USB" alt="" coords="5,78,220,119"/>
<area shape="rect" href="namespacesrc_1_1usbDisk2.html#a124088b557ce86499f2bbb50a54df3de" title="Renvoie la taille d&#39;un système de fichier et la place disponible." alt="" coords="309,5,450,32"/>
<area shape="rect" href="namespacesrc_1_1usbDisk2.html#a40f49ea9cccdda381360944bb4694c67" title=" " alt="" coords="295,56,464,83"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a88bae64fec3b1bded9d6c30e5f9d8cdd" title=" " alt="" coords="268,107,491,149"/>
<area shape="rect" href="namespacesrc_1_1usbDisk2.html#a1cc978f0b36fc7a494c61860e5cd2a3a" title="Récupère de façon sûre le path d&#39;une instance de UDisksObjectProxy." alt="" coords="303,173,455,200"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbDisk2_1_1UDisksBackend_aedd2fa479eee462059ad71ebbacfd62d_icgraph.png" border="0" usemap="#classsrc_1_1usbDisk2_1_1UDisksBackend_aedd2fa479eee462059ad71ebbacfd62d_icgraph" alt=""/></div>
<map name="classsrc_1_1usbDisk2_1_1UDisksBackend_aedd2fa479eee462059ad71ebbacfd62d_icgraph" id="classsrc_1_1usbDisk2_1_1UDisksBackend_aedd2fa479eee462059ad71ebbacfd62d_icgraph">
<area shape="rect" title="détermine si un périphérique est de type USB" alt="" coords="5,29,220,71"/>
</map>
</div>

</div>
</div>
<a id="a88bae64fec3b1bded9d6c30e5f9d8cdd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88bae64fec3b1bded9d6c30e5f9d8cdd">&#9670;&nbsp;</a></span>retry_mount()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbDisk2.UDisksBackend.retry_mount </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>fs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>timeout</em> = <code>5</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>retryDelay</em> = <code>0.3</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00188">188</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbDisk2_1_1UDisksBackend_a88bae64fec3b1bded9d6c30e5f9d8cdd_icgraph.png" border="0" usemap="#classsrc_1_1usbDisk2_1_1UDisksBackend_a88bae64fec3b1bded9d6c30e5f9d8cdd_icgraph" alt=""/></div>
<map name="classsrc_1_1usbDisk2_1_1UDisksBackend_a88bae64fec3b1bded9d6c30e5f9d8cdd_icgraph" id="classsrc_1_1usbDisk2_1_1UDisksBackend_a88bae64fec3b1bded9d6c30e5f9d8cdd_icgraph">
<area shape="rect" title=" " alt="" coords="268,29,491,71"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#aedd2fa479eee462059ad71ebbacfd62d" title="détermine si un périphérique est de type USB" alt="" coords="5,29,220,71"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Documentation des données membres</h2>
<a id="a2216db504e9ef0fb0bd6fded1a90a897"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2216db504e9ef0fb0bd6fded1a90a897">&#9670;&nbsp;</a></span>bus</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.usbDisk2.UDisksBackend.bus</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00127">127</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<a id="a931d5db608afa59df65219803f51d013"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a931d5db608afa59df65219803f51d013">&#9670;&nbsp;</a></span>cbHooks</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.usbDisk2.UDisksBackend.cbHooks</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00130">130</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<a id="a10a0c45f41280268bfb07b86005617ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10a0c45f41280268bfb07b86005617ca">&#9670;&nbsp;</a></span>diskClass</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.usbDisk2.UDisksBackend.diskClass</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>self.targets est un dictionnaire des disques détectés les clés sont les paths et les contenus des instances de diskClass </p>

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00120">120</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<a id="a14cb1c0251d039fad1d6e7b581f67274"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14cb1c0251d039fad1d6e7b581f67274">&#9670;&nbsp;</a></span>install_thread</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.usbDisk2.UDisksBackend.install_thread</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00116">116</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<a id="abe286670c6eb19d2c7dd4be21f59ec9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe286670c6eb19d2c7dd4be21f59ec9c">&#9670;&nbsp;</a></span>logger</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.usbDisk2.UDisksBackend.logger</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00117">117</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<a id="a3ccdea24c9c226d0479e8c8b7bef84a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ccdea24c9c226d0479e8c8b7bef84a1">&#9670;&nbsp;</a></span>manager</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.usbDisk2.UDisksBackend.manager</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00129">129</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<a id="a1639654ad7f2c983d019425be09a093a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1639654ad7f2c983d019425be09a093a">&#9670;&nbsp;</a></span>modified</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.usbDisk2.UDisksBackend.modified</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>self.modified signifie une modification récente, à prendre en compte par une application au niveau utilisateur </p>
<p>désactivé, quelquefois drive.get_cached_property('Size').get_uint64() renvoie des résultats erronés juste après le branchement </p>

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00124">124</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<a id="a3fbecb7bcc1d55c1c2046ffd53d47411"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3fbecb7bcc1d55c1c2046ffd53d47411">&#9670;&nbsp;</a></span>targets</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.usbDisk2.UDisksBackend.targets</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00121">121</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<a id="abc6ccd9b12a51dccc1fbbb7e7468d39f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc6ccd9b12a51dccc1fbbb7e7468d39f">&#9670;&nbsp;</a></span>udisks</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.usbDisk2.UDisksBackend.udisks</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00128">128</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir du fichier suivant :<ul>
<li>src/<a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacesrc.html">src</a></li><li class="navelem"><a class="el" href="namespacesrc_1_1usbDisk2.html">usbDisk2</a></li><li class="navelem"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html">UDisksBackend</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
